<?php

namespace Ems\Services;

use Doctrine\ORM\EntityManager;

use Util\SendEmail\SendEmail;
use Util\Environment;

use Ems\Repository\PessoaRepository;
use Ems\Util\{ Utilities, ArrayUtil };

class PessoaService {

    public function __construct(
        PessoaRepository $pessoaRepository,
        Environment $environment
    ) {
        $this->pessoaRepository         = $pessoaRepository;
        $this->environment                  = $environment;
    }



    public function getPessoa($nrvinculom, $dtmescompetenc) {
        $nrorg = $this->environment->getNrorg();

        return $this->pessoaRepository->getPessoa($nrorg, $nrvinculom, $dtmescompetenc);
    }
    
}
