#!/bin/sh
SCRIPTS_PATH=[SRV_BASE_PATH]/[SUB_TEST_PATH]/ci_scripts
MCSV_PRODUCT_PATH=[SRV_BASE_PATH]/[SUB_TEST_PATH]
URL_PRODUCT_NAME=pebbian\\/[SUB_TEST_PATH]
VERSION=$(date +%s)
DEVOPS_VERSION="2"
DEVOPS_REVISION="19"
DEVOPS_BUILD="0"

echo 'Front and back steps -----------------------------------------------------'
#cd $MCSV_PRODUCT_PATH/backend
#$SCRIPTS_PATH/back_step.sh $DEVOPS_VERSION $DEVOPS_REVISION $DEVOPS_BUILD

cd $MCSV_PRODUCT_PATH/mobile
$SCRIPTS_PATH/front_step.sh

echo 'Run grunt tasks for test -------------------------------------------------'
grunt buildEnvironment:test

echo 'Backend mnemonics --------------------------------------------------------'
cd $MCSV_PRODUCT_PATH/backend/config

echo 'Update db.xml ------------------------------------------------------------'
$SCRIPTS_PATH/db_mnemonics.sh $SCRIPTS_PATH "@@DB_ORA_USER@@" "@@DB_ORA_PASSWORD@@" "@@DB_ORA_HOST@@" "@@DB_ORA_PORT@@" "@@DB_ORA_DBNAME@@" "@@DB_ORA_SERVICE_BOOL@@" "" "" "" "@@DB_ORA_ENCRYPTED_BOOL@@" "" "@@DB_MONGO_HOST@@" "@@DB_MONGO_PORT@@"
cat ./db.xml

echo 'Update BIRT files --------------------------------------------------------'
$SCRIPTS_PATH/report_mnemonics.sh $SCRIPTS_PATH "" "@@BIRT_REPORTS_PATH@@" "" "@@BIRT_URL@@" "" "@@BIRT_FORMAT@@" 
$SCRIPTS_PATH/replace_new.sh 'hcm' "$SUB_TEST_PATH" 'report.xml'

echo 'Update parameters.xml -------------------------------------------------------------------------------'
cd $MCSV_PRODUCT_PATH/backend/config
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" $VERSION "parameters.xml"
cat ./parameters.xml
